function [c,ceq] = mycon_ctls(x,num_states)
% function taht computes the nonlinear constraints to impose to CTLS 
% function for the stability of the connectivity matrix A 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% INPUT VARIABLES
%
% x:            vector that contains the variables to identify
%
% num_states:   number of the state variables 
%                
%
% OUTPUT VARIABLES
% 
% c:            vector taht contains the nonlinear inequalities evaluated 
%               at x 
% ceq:          vector that contains the nonlinear equalities evaluated at
%               x

x=x(:);
% sum_x=0;
% for idx=1:num_state
%     sum_old=sum_x;
%     sum_x=sum_old+abs(x(idx));
% end
sum_x=sum(abs(x(1:num_states)));
c = sum_x-1/sqrt(num_states);
ceq = [];